GET
/
api
/
v1
/
accounts
/
{account_id}
/
scheduling
/
payments
List payment journal entries
curl --request GET \
  --url https://one-link.kz/api/v1/accounts/{account_id}/scheduling/payments \
  --header 'api_access_token: <api-key>'
{
  "payload": [
    {
      "id": 123,
      "appointment_id": 123,
      "recorded_by_id": 123,
      "amount": 123,
      "payment_method": "<string>",
      "payment_kind": "<string>"
    }
  ],
  "meta": {
    "count": 123
  }
}

Authorizations

api_access_token
string
header
required

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

Path Parameters

account_id
integer
required

The numeric ID of the account

Query Parameters

payment_kinds
string
payment_methods
string
resource_ids
string
from
string<date-time>
to
string<date-time>

Response

Payment journal

payload
object[]
meta
object